"use strict";
/**
 * @license
 * Copyright 2018 Google LLC.
 *
 * Use of this source code is governed by an MIT-style
 * license that can be found in the LICENSE file or at
 * https://opensource.org/licenses/MIT.
 * =============================================================================
 */
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line:no-require-imports
var packageJSON = require('../package.json');
var index_1 = require("./index");
describe('tfjs-core version consistency', function () {
    it('dev-peer match', function () {
        var tfjsCoreDevDepVersion = packageJSON.devDependencies['@tensorflow/tfjs-core'];
        var tfjsCorePeerDepVersion = packageJSON.peerDependencies['@tensorflow/tfjs-core'];
        expect(tfjsCoreDevDepVersion).toEqual(tfjsCorePeerDepVersion);
    });
    it('version.ts matches package version', function () {
        // tslint:disable-next-line:no-require-imports
        var expected = require('../package.json').version;
        expect(index_1.version_wasm).toBe(expected);
    });
});
//# sourceMappingURL=version_test.js.map