/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import{registerKernel as e,util as n,backend_util as t,gather_util as a,scatter_util as r,slice_util as u,buffer as i,registerBackend as o,DataStorage as s,engine as d,KernelBackend as p}from"@tensorflow/tfjs-core";import l from"fs";import m from"path";var c,f,b;function h(t){var a;e({kernelName:t,backendName:"wasm",setupFunc:function(e){a=e.wasm.cwrap(t,null,["number","number"])},kernelFunc:function(e){var t=e.backend,r=e.inputs.x,u=t.dataIdMap.get(r.dataId).id,i=t.makeOutput(r.shape,r.dtype),o=t.dataIdMap.get(i.dataId).id;return 0===n.sizeFromShape(i.shape)?i:(a(u,o),i)}})}function y(a,r,u){var i;e({kernelName:a,backendName:"wasm",setupFunc:function(e){i=e.wasm.cwrap(a,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(e){var o=e.backend,s=e.inputs,d=s.a,p=s.b,l=o.dataIdMap.get(d.dataId).id,m=o.dataIdMap.get(p.dataId).id,f=null!=u?u:d.dtype,b=t.assertAndGetBroadcastShape(d.shape,p.shape),h=o.makeOutput(b,f);if(0===n.sizeFromShape(b))return h;var y=new Uint8Array(new Int32Array(d.shape).buffer),w=new Uint8Array(new Int32Array(p.shape).buffer),I=o.dataIdMap.get(h.dataId).id,g=function(){return i(l,y,d.shape.length,m,w,p.shape.length,c[d.dtype],I)};if(r)return g(),h;var v=t.getBroadcastDims(d.shape,b),k=t.getBroadcastDims(p.shape,b),M=v.every((function(e,n){return e===n})),F=k.every((function(e,n){return e===n}));if(M&&F)return g(),h;throw new Error("Broadcasting along outer dims is not yet supported for "+a+".")}})}!function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(c||(c={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu"}(f||(f={})),e({kernelName:"_FusedMatMul",backendName:"wasm",setupFunc:function(e){b=e.wasm.cwrap("_FusedMatMul",null,["number","array","number","number","array","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.a,u=n.b,i=n.bias,o=n.preluActivationWeights;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");var s=a.transposeA,d=a.transposeB,p=a.activation,l=t.dataIdMap.get(r.dataId).id,m=t.dataIdMap.get(u.dataId).id,c=0;if(null!=i){var h=t.dataIdMap.get(i.dataId);if(1!==h.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got rank "+h.shape.length+".");c=h.id}var y=null==o?0:t.dataIdMap.get(o.dataId).id,w=f[p];if(null==w)throw new Error(p+" activation not yet supported for FusedConv2D in the wasm backend.");var I=s?r.shape[2]:r.shape[1],g=d?u.shape[1]:u.shape[2],v=r.shape[0],k=t.makeOutput([v,I,g],r.dtype),M=t.dataIdMap.get(k.dataId).id,F=new Uint8Array(new Int32Array(r.shape).buffer),A=new Uint8Array(new Int32Array(u.shape).buffer);return b(l,F,r.shape.length,m,A,u.shape.length,s,d,w,c,y,M),k}}),h("Abs");var w,I,g,v,k,M,F,A,S;function x(e){var n=e.inputs.x,t=e.attrs.dtype,a=e.backend,r=a.makeOutput(n.shape,t),u=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(u),r}y("Add",!0),e({kernelName:"AddN",backendName:"wasm",setupFunc:function(e){w=e.wasm.cwrap("AddN",null,["array","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.sizeFromShape(r.shape))return r;var u=t.map((function(e){return a.dataIdMap.get(e.dataId).id})),i=new Uint8Array(new Int32Array(u).buffer),o=a.dataIdMap.get(r.dataId).id;return w(i,u.length,c[r.dtype],o),r}}),e({kernelName:"ArgMax",backendName:"wasm",kernelFunc:function(e){var t=e.inputs.x,a=e.backend,r=e.attrs.axis,u=t.shape.slice(0,-1),i=a.makeOutput(u,"int32"),o=a.dataIdMap.get(t.dataId).id,s=a.dataIdMap.get(i.dataId).id,d=n.sizeFromShape(i.shape),p=t.shape[r];return I(o,c[t.dtype],d,p,s),i},setupFunc:function(e){I=e.wasm.cwrap("ArgMax",null,["number","number","number","number","number"])}}),e({kernelName:"AvgPool",backendName:"wasm",setupFunc:function(e){g=e.wasm.cwrap("AvgPool",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t,u=n.x,i=a.dataIdMap.get(u.dataId).id,o=r.filterHeight,s=r.filterWidth,d=r.padInfo.top,p=r.padInfo.right,l=r.padInfo.bottom,m=r.padInfo.left,c=r.strideHeight,f=r.strideWidth,b=r.inChannels;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");if(1!==r.dilationWidth||1!==r.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], got ["+r.dilationHeight+", "+r.dilationWidth+"].");var h=a.makeOutput(r.outShape,"float32"),y=a.dataIdMap.get(h.dataId).id;return g(i,u.shape[0],u.shape[1],u.shape[2],o,s,d,p,l,m,c,f,b,y),h}}),e({kernelName:"BatchMatMul",backendName:"wasm",setupFunc:function(e){v=e.wasm.cwrap("BatchMatMul",null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.a,u=n.b;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");var i=a.transposeA,o=a.transposeB,s=t.dataIdMap.get(r.dataId).id,d=t.dataIdMap.get(u.dataId).id,p=i?r.shape[2]:r.shape[1],l=o?u.shape[1]:u.shape[2],m=r.shape[0],c=t.makeOutput([m,p,l],r.dtype),f=t.dataIdMap.get(c.dataId).id,b=new Uint8Array(new Int32Array(r.shape).buffer),h=new Uint8Array(new Int32Array(u.shape).buffer);return v(s,b,r.shape.length,d,h,u.shape.length,i,o,f),c}}),e({kernelName:"Cast",backendName:"wasm",kernelFunc:x}),e({kernelName:"ClipByValue",backendName:"wasm",setupFunc:function(e){k=e.wasm.cwrap("ClipByValue",null,["number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=a.min,i=a.max,o=t.dataIdMap.get(r.dataId).id,s=t.makeOutput(r.shape,"float32"),d=t.dataIdMap.get(s.dataId).id;return k(o,u,i,d),s}}),e({kernelName:"Concat",backendName:"wasm",kernelFunc:function(e){for(var a=e.inputs,r=e.backend,u=e.attrs.axis,i=t.computeOutShape(a.map((function(e){return e.shape})),u),o=r.makeOutput(i,a[0].dtype),s=n.sizeFromShape(a[0].shape.slice(0,u)),d=0,p=a.map((function(e){var t=n.sizeFromShape(e.shape.slice(u));return d+=t,t})),l=a.map((function(e){return r.typedArrayFromHeap(e)})),m=r.typedArrayFromHeap(o),c=0;c<s;c++)for(var f=c*d,b=0;b<l.length;b++){var h=p[b],y=c*h,w=l[b].subarray(y,y+h);m.set(w,f),f+=h}return o}}),e({kernelName:"Conv2D",backendName:"wasm",setupFunc:function(e){M=e.wasm.cwrap("Conv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t,u=n.x,i=n.filter,o=a.dataIdMap.get(u.dataId).id,s=a.dataIdMap.get(i.dataId).id,d=r.filterHeight,p=r.filterWidth,l=r.padInfo.top,m=r.padInfo.right,c=r.padInfo.bottom,f=r.padInfo.left,b=r.dilationHeight,h=r.dilationWidth,y=r.strideHeight,w=r.strideWidth,I=r.inChannels,g=r.outChannels,v="SAME"===r.padInfo.type?1:0;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var k=a.makeOutput(r.outShape,"float32"),F=a.dataIdMap.get(k.dataId).id;return M(o,u.shape[0],u.shape[1],u.shape[2],s,d,p,l,m,c,f,v,b,h,y,w,I,g,F),k}}),function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(F||(F={})),e({kernelName:"CropAndResize",backendName:"wasm",setupFunc:function(e){A=e.wasm.cwrap("CropAndResize",null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){var n,t=e.backend,a=e.inputs,r=e.attrs,u=r.method,i=r.extrapolationValue,o=r.cropSize,s=a.images,d=a.boxes,p=a.boxInd,l=d.shape[0],m=o,c=m[0],f=m[1],b=[l,c,f,s.shape[3]],h=t.dataIdMap.get(s.dataId);"float32"!==s.dtype&&(n=x({backend:t,inputs:{x:s},attrs:{dtype:"float32"}}),h=t.dataIdMap.get(n.dataId));var y=h.id,w=t.dataIdMap.get(d.dataId).id,I=t.dataIdMap.get(p.dataId).id,g=t.makeOutput(b,"float32"),v=t.dataIdMap.get(g.dataId).id,k=new Uint8Array(new Int32Array(s.shape).buffer);return A(y,w,I,l,k,c,f,F[u],i,v),null!=n&&t.disposeData(n.dataId),g}}),h("Cos"),e({kernelName:"DepthwiseConv2dNative",backendName:"wasm",setupFunc:function(e){S=e.wasm.cwrap("DepthwiseConv2dNative",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t,u=n.x,i=n.filter,o=a.dataIdMap.get(u.dataId).id,s=a.dataIdMap.get(i.dataId).id,d=r.filterHeight,p=r.filterWidth,l=r.padInfo.top,m=r.padInfo.right,c=r.padInfo.bottom,f=r.padInfo.left,b=r.dilationHeight,h=r.dilationWidth,y=r.strideHeight,w=r.strideWidth,I=r.inChannels,g=r.outChannels,v="SAME"===r.padInfo.type?1:0;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var k=a.makeOutput(r.outShape,"float32"),M=a.dataIdMap.get(k.dataId).id;return S(o,u.shape[0],u.shape[1],u.shape[2],s,d,p,l,m,c,f,v,b,h,y,w,I,g,M),k}});y("Div",!1),h("Exp");var N,_,E,C,O;y("FloorDiv",!1),e({kernelName:"BatchNormalization",backendName:"wasm",setupFunc:function(e){N=e.wasm.cwrap("FusedBatchNorm",null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.varianceEpsilon,u=a.x,i=a.mean,o=a.variance,s=a.offset,d=a.scale,p=t.dataIdMap.get(u.dataId).id,l=t.dataIdMap.get(i.dataId).id,m=t.dataIdMap.get(o.dataId).id,c=null!=s?t.dataIdMap.get(s.dataId).id:0,f=null!=d?t.dataIdMap.get(d.dataId).id:0,b=t.makeOutput(u.shape,u.dtype);if(0===n.sizeFromShape(u.shape))return b;var h=t.dataIdMap.get(b.dataId).id;return N(p,l,m,c,f,r,h),b}}),e({kernelName:"FusedConv2D",backendName:"wasm",setupFunc:function(e){_=e.wasm.cwrap("FusedConv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t.convInfo,u=t.activation,i=f[u];if(null==i)throw new Error(u+" activation not yet supported for FusedConv2D in the wasm backend.");var o=n.x,s=n.filter,d=n.bias,p=n.preluActivationWeights,l=a.dataIdMap.get(o.dataId).id,m=a.dataIdMap.get(s.dataId).id,c=r.outChannels,b=0;if(null!=d){var h=a.dataIdMap.get(d.dataId);if(1!==h.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got rank "+h.shape.length+".");if(h.shape[0]!==c)throw new Error("FusedConv2D bias shape ("+h.shape+") does not match the number of output channels ("+c+")");b=h.id}var y=r.filterHeight,w=r.filterWidth,I=r.padInfo.top,g=r.padInfo.right,v=r.padInfo.bottom,k=r.padInfo.left,M=r.dilationHeight,F=r.dilationWidth,A=r.strideHeight,S=r.strideWidth,x=r.inChannels,N="SAME"===r.padInfo.type?1:0,E=r.batchSize,C=r.inHeight,O=r.inWidth;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var D=a.makeOutput(r.outShape,"float32"),z=a.dataIdMap.get(D.dataId).id,R=null==p?0:a.dataIdMap.get(p.dataId).id;return _(l,E,C,O,m,y,w,b,I,g,v,k,N,M,F,A,S,x,c,i,R,z),D}}),e({kernelName:"FusedDepthwiseConv2D",backendName:"wasm",setupFunc:function(e){E=e.wasm.cwrap("FusedDepthwiseConv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t.convInfo,u=t.activation,i=f[u];if(null==i)throw new Error(u+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");var o=n.x,s=n.filter,d=n.bias,p=n.preluActivationWeights,l=a.dataIdMap.get(o.dataId).id,m=a.dataIdMap.get(s.dataId).id,c=r.outChannels,b=0;if(null!=d){var h=a.dataIdMap.get(d.dataId);if(1!==h.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got rank "+h.shape.length+".");if(h.shape[0]!==c)throw new Error("FusedDepthwiseConv2D bias shape ("+h.shape+") does not match the number of output channels ("+c+")");b=h.id}var y=r.filterHeight,w=r.filterWidth,I=r.padInfo.top,g=r.padInfo.right,v=r.padInfo.bottom,k=r.padInfo.left,M=r.dilationHeight,F=r.dilationWidth,A=r.strideHeight,S=r.strideWidth,x=r.inChannels,N="SAME"===r.padInfo.type?1:0,_=r.batchSize,C=r.inHeight,O=r.inWidth;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var D=a.makeOutput(r.outShape,"float32"),z=a.dataIdMap.get(D.dataId).id,R=null==p?0:a.dataIdMap.get(p.dataId).id;return E(l,_,C,O,m,y,w,b,I,g,v,k,N,M,F,A,S,x,c,i,R,z),D}}),e({kernelName:"Gather",backendName:"wasm",setupFunc:function(e){C=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,i=a.indices,o=r.axis,s=u.shape.slice();s[o]=n.sizeFromShape(i.shape);var d=u.shape.length-1,p=t.makeOutput(s,u.dtype);if(0===n.sizeFromShape(u.shape))return p;var l=t.dataIdMap.get(u.dataId).id,m=t.dataIdMap.get(i.dataId).id,f=t.dataIdMap.get(p.dataId).id,b=new Uint8Array(new Int32Array(n.computeStrides(u.shape)).buffer),h=new Uint8Array(new Int32Array(n.computeStrides(s)).buffer);return C(l,c[u.dtype],b,d,m,o,h,f),p}}),e({kernelName:"GatherNd",backendName:"wasm",setupFunc:function(e){O=e.wasm.cwrap("GatherNd",null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,r=t.x,u=t.indices,i=a.prepareAndValidate(r,u),o=i[0],s=i[1],d=i[2],p=i[3],l=n.makeOutput(o,r.dtype);if(0===s)return l;var m=u.shape,f=m[m.length-1],b=n.dataIdMap.get(r.dataId).id,h=n.dataIdMap.get(u.dataId).id,y=new Uint8Array(new Int32Array(p).buffer),w=n.dataIdMap.get(l.dataId).id;return O(b,c[r.dtype],h,s,f,d,y,w),l}});y("Greater",!1,"bool");y("GreaterEqual",!1,"bool");y("LogicalAnd",!1,"bool");y("Less",!1,"bool");var D;y("LessEqual",!1,"bool"),h("Log"),e({kernelName:"Max",backendName:"wasm",setupFunc:function(e){D=e.wasm.cwrap("Max",null,["number, number, number"])},kernelFunc:function(e){var a=e.backend,r=e.inputs,u=e.attrs.axes,i=r.x,o=a.dataIdMap.get(i.dataId).id;t.assertAxesAreInnerMostDims("max",u,i.shape.length);var s=t.computeOutAndReduceShapes(i.shape,u),d=s[0],p=s[1],l=n.sizeFromShape(p),m=a.makeOutput(d,i.dtype);if(0===n.sizeFromShape(i.shape))return m;var c=a.dataIdMap.get(m.dataId).id;return D(o,l,c),m}});var z,R;y("Maximum",!1),e({kernelName:"MaxPool",backendName:"wasm",setupFunc:function(e){z=e.wasm.cwrap("MaxPool",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t,u=n.x,i=a.dataIdMap.get(u.dataId).id,o=r.filterHeight,s=r.filterWidth,d=r.padInfo.top,p=r.padInfo.right,l=r.padInfo.bottom,m=r.padInfo.left,c=r.dilationHeight,f=r.dilationWidth,b=r.strideHeight,h=r.strideWidth,y=r.inChannels,w=r.outChannels;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var I=a.makeOutput(r.outShape,"float32"),g=a.dataIdMap.get(I.dataId).id;return z(i,u.shape[0],u.shape[1],u.shape[2],o,s,d,p,l,m,c,f,b,h,y,w,g),I}}),e({kernelName:"Min",backendName:"wasm",setupFunc:function(e){R=e.wasm.cwrap("Min",null,["number, number, number"])},kernelFunc:function(e){var a=e.backend,r=e.inputs,u=e.attrs.axes,i=r.x,o=a.dataIdMap.get(i.dataId).id;t.assertAxesAreInnerMostDims("min",u,i.shape.length);var s=t.computeOutAndReduceShapes(i.shape,u),d=s[0],p=s[1],l=n.sizeFromShape(p),m=a.makeOutput(d,i.dtype);if(0===n.sizeFromShape(i.shape))return m;var c=a.dataIdMap.get(m.dataId).id;return R(o,l,c),m}});y("Minimum",!1);var P,H;function W(e,n){var t=new Int32Array(e.wasm.HEAPU8.buffer,n,3),a=t[0],r=t[1],u=t[2];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u}}y("Mul",!0),h("Neg"),e({kernelName:"NonMaxSuppressionV3",backendName:"wasm",setupFunc:function(e){P=e.wasm.cwrap("NonMaxSuppressionV3","number",["number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,o=t.boxes,s=t.scores,d=n.dataIdMap.get(o.dataId).id,p=n.dataIdMap.get(s.dataId).id,l=W(n,P(d,p,u,r,i)),m=l.pSelectedIndices,c=l.selectedSize,f=l.pSelectedScores;return n.wasm._free(f),n.makeOutput([c],"int32",m)}}),e({kernelName:"NonMaxSuppressionV5",backendName:"wasm",setupFunc:function(e){H=e.wasm.cwrap("NonMaxSuppressionV5","number",["number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,o=a.softNmsSigma,s=t.boxes,d=t.scores,p=n.dataIdMap.get(s.dataId).id,l=n.dataIdMap.get(d.dataId).id,m=W(n,H(p,l,u,r,i,o)),c=m.pSelectedIndices,f=m.selectedSize,b=m.pSelectedScores;return[n.makeOutput([f],"int32",c),n.makeOutput([f],"float32",b)]}});var U;y("NotEqual",!1,"bool"),e({kernelName:"PadV2",backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=e.attrs,r=a.paddings,u=a.constantValue,i=r.map((function(e,t){return e[0]+n.shape[t]+e[1]})),o=t.dataIdMap.get(n.dataId).id,s=t.makeOutput(i,n.dtype),d=t.dataIdMap.get(s.dataId).id,p=new Uint8Array(new Int32Array(n.shape).buffer),l=[].concat.apply([],r),m=new Uint8Array(new Int32Array(l).buffer);return U(o,p,n.shape.length,c[n.dtype],m,u,d),s},setupFunc:function(e){U=e.wasm.cwrap("PadV2",null,["number","array","number","number","array","number","number"])}});var T,B,L,j,q;function V(e){var t=e.inputs.x,a=e.attrs,r=a.begin,o=a.size,s=e.backend,d=u.isSliceContinous(t.shape,r,o),p=s.typedArrayFromHeap(t),l=s.makeOutput(o,t.dtype),m=s.typedArrayFromHeap(l),c=n.computeStrides(t.shape);if(d){var f=u.computeFlatOffset(r,c);return m.set(p.subarray(f,f+n.sizeFromShape(o))),l}var b=t.shape.length;return 2===b?function(e,n,t,a,r){for(var u=0,i=a[0],o=a[1],s=i+r[0],d=i;d<s;d++){var p=d*n+o;t.set(e.subarray(p,p+r[1]),u),u+=r[1]}}(p,c[0],m,r,o):3===b?function(e,n,t,a,r,u){for(var i=0,o=r[0],s=r[1],d=r[2],p=o+u[0],l=s+u[1],m=o;m<p;m++)for(var c=s;c<l;c++){var f=m*n+c*t+d;a.set(e.subarray(f,f+u[2]),i),i+=u[2]}}(p,c[0],c[1],m,r,o):4===b?function(e,n,t,a,r,u,i){for(var o=0,s=u[0],d=u[1],p=u[2],l=s+i[0],m=d+i[1],c=p+i[2],f=u[3],b=s;b<l;b++)for(var h=d;h<m;h++)for(var y=p;y<c;y++){var w=b*n+h*t+y*a+f;r.set(e.subarray(w,w+i[3]),o),o+=i[3]}}(p,c[0],c[1],c[2],m,r,o):function(e,n,t,a,r){for(var u=i(r,n.dtype,t),o=i(n.shape,n.dtype,e),s=0;s<u.size;++s){var d=u.indexToLoc(s).map((function(e,n){return e+a[n]}));t[s]=o.get.apply(o,d)}}(p,t,m,r,o),l}y("Pow",!1),e({kernelName:"Prelu",backendName:"wasm",setupFunc:function(e){T=e.wasm.cwrap("Prelu",null,["number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=n.x,r=n.alpha,u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(a.shape,"float32"),s=t.dataIdMap.get(o.dataId).id;return T(u,i,s),o}}),h("Relu"),h("Relu6"),e({kernelName:"Reshape",backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.attrs.shape;return{dataId:n.dataId,shape:t,dtype:n.dtype}}}),e({kernelName:"ResizeBilinear",backendName:"wasm",setupFunc:function(e){B=e.wasm.cwrap("ResizeBilinear",null,["number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t,a=e.backend,r=e.inputs,u=e.attrs,i=r.x,o=u.alignCorners,s=u.newHeight,d=u.newWidth,p=i.shape,l=p[0],m=p[1],c=p[2],f=p[3],b=[l,s,d,f],h=a.dataIdMap.get(i.dataId);"float32"!==h.dtype&&(t=x({backend:a,inputs:{x:i},attrs:{dtype:"float32"}}),h=a.dataIdMap.get(t.dataId));var y=h.id,w=a.makeOutput(b,"float32");if(0===n.sizeFromShape(i.shape))return w;var I=a.dataIdMap.get(w.dataId).id;return B(y,l,m,c,f,s,d,o?1:0,I),null!=t&&a.disposeData(t.dataId),w}}),h("Rsqrt"),e({kernelName:"ScatterNd",backendName:"wasm",setupFunc:function(e){L=e.wasm.cwrap("ScatterNd",null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,u=e.attrs,i=a.indices,o=a.updates,s=u.shape,d=t.makeOutput(s,o.dtype);if(0===n.sizeFromShape(s))return d;var p=r.calculateShapes(o,i,s),l=p.sliceRank,m=p.numUpdates,f=p.sliceSize,b=p.strides,h=p.outputSize,y=t.dataIdMap.get(i.dataId).id,w=t.dataIdMap.get(o.dataId).id,I=new Uint8Array(new Int32Array(b).buffer),g=t.dataIdMap.get(d.dataId).id;return L(y,w,c[o.dtype],l,m,f,I,h,g),d}}),e({kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){j=e.wasm.cwrap("Sigmoid",null,["number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.x,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(u.dataId).id;return 0===n.sizeFromShape(u.shape)?u:(j(r,i),u)}}),h("Sin"),e({kernelName:"Slice",backendName:"wasm",kernelFunc:V}),e({kernelName:"Softmax",backendName:"wasm",setupFunc:function(e){q=e.wasm.cwrap("Softmax",null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.logits,r=e.attrs.dim,u=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,a.dtype),o=t.dataIdMap.get(i.dataId).id,s=a.shape[r],d=n.sizeFromShape(a.shape)/s;return 0===n.sizeFromShape(i.shape)?i:(q(u,o,s,d),i)}}),h("Square");var G,X,Y;y("Sub",!0),e({kernelName:"Sum",backendName:"wasm",setupFunc:function(e){G=e.wasm.cwrap("Sum",null,["number, number, number"])},kernelFunc:function(e){var a=e.backend,r=e.inputs,u=e.attrs.axes,i=r.x,o=a.dataIdMap.get(i.dataId).id;t.assertAxesAreInnerMostDims("sum",u,i.shape.length);var s=t.computeOutAndReduceShapes(i.shape,u),d=s[0],p=s[1],l=n.sizeFromShape(p),m=a.makeOutput(d,i.dtype);if(0===n.sizeFromShape(i.shape))return m;var c=a.dataIdMap.get(m.dataId).id;return G(o,l,c),m}}),h("Tanh"),e({kernelName:"Tile",backendName:"wasm",setupFunc:function(e){X=e.wasm.cwrap("Tile",null,["number","array","number","array","number","number"])},kernelFunc:function(e){for(var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=t.dataIdMap.get(r.dataId).id,i=a.reps,o=new Array(r.shape.length),s=0;s<o.length;s++)o[s]=r.shape[s]*i[s];var d=new Uint8Array(new Int32Array(r.shape).buffer),p=new Uint8Array(new Int32Array(o).buffer),l=t.makeOutput(o,r.dtype),m=t.dataIdMap.get(l.dataId).id;return X(u,d,r.shape.length,p,o.length,c[l.dtype],m),l}}),e({kernelName:"Transpose",backendName:"wasm",kernelFunc:function(e){for(var n=e.inputs,t=e.backend,a=e.attrs,r=function(e,n){for(var t=[],a=[],r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(r=0;r<a.length;++r){for(var u=-1,i=0;i<a.length;++i)a[i]>=r&&(-1===u||a[u]>a[i])&&(u=i);a[u]=r}return[t,a]}(n.x.shape,a.perm),u=r[0],i=r[1],o={dataId:n.x.dataId,shape:u,dtype:n.x.dtype},s=!0,d=0;d<i.length;d++)i[d]!==d&&(s=!1);var p=function(e,n){for(var t=new Array(e.length),a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm);if(s)return{dataId:o.dataId,shape:p,dtype:o.dtype};var l=t.makeOutput(p,o.dtype),m=t.dataIdMap.get(o.dataId).id,f=t.dataIdMap.get(l.dataId).id,b=new Uint8Array(new Int32Array(i).buffer),h=new Uint8Array(new Int32Array(o.shape).buffer);return Y(m,h,o.shape.length,c[o.dtype],f,b,i.length),l},setupFunc:function(e){Y=e.wasm.cwrap("Transpose",null,["number","array","number","number","number","array","number"])}}),e({kernelName:"Unpack",backendName:"wasm",kernelFunc:function(e){for(var n=e.inputs.x,t=e.backend,a=e.attrs.axis,r=n.shape[a],u=n.shape.length,i=new Array(u-1),o=0,s=0;s<u;s++)s!==a&&(i[o++]=n.shape[s]);var d=new Array(r),p=new Array(u).fill(0),l=n.shape.slice();for(l[a]=1,s=0;s<d.length;s++)p[a]=s,d[s]=V({inputs:{x:n},attrs:{begin:p,size:l},backend:t});return d.map((function(e){return{dataId:e.dataId,dtype:e.dtype,shape:i}}))}});var Z=function(e,n){return(Z=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,n){e.__proto__=n}||function(e,n){for(var t in n)n.hasOwnProperty(t)&&(e[t]=n[t])})(e,n)};function J(e,n,t,a){return new(t||(t=Promise))((function(r,u){function i(e){try{s(a.next(e))}catch(e){u(e)}}function o(e){try{s(a.throw(e))}catch(e){u(e)}}function s(e){e.done?r(e.value):new t((function(n){n(e.value)})).then(i,o)}s((a=a.apply(e,n||[])).next())}))}function K(e,n){var t,a,r,u,i={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return u={next:o(0),throw:o(1),return:o(2)},"function"==typeof Symbol&&(u[Symbol.iterator]=function(){return this}),u;function o(u){return function(o){return function(u){if(t)throw new TypeError("Generator is already executing.");for(;i;)try{if(t=1,a&&(r=2&u[0]?a.return:u[0]?a.throw||((r=a.return)&&r.call(a),0):a.next)&&!(r=r.call(a,u[1])).done)return r;switch(a=0,r&&(u=[2&u[0],r.value]),u[0]){case 0:case 1:r=u;break;case 4:return i.label++,{value:u[1],done:!1};case 5:i.label++,a=u[1],u=[0];continue;case 7:u=i.ops.pop(),i.trys.pop();continue;default:if(!(r=(r=i.trys).length>0&&r[r.length-1])&&(6===u[0]||2===u[0])){i=0;continue}if(3===u[0]&&(!r||u[1]>r[0]&&u[1]<r[3])){i.label=u[1];break}if(6===u[0]&&i.label<r[1]){i.label=r[1],r=u;break}if(r&&i.label<r[2]){i.label=r[2],i.ops.push(u);break}r[2]&&i.ops.pop(),i.trys.pop();continue}u=n.call(e,i)}catch(e){u=[6,e],a=0}finally{t=r=0}if(5&u[0])throw u[1];return{value:u[0]?u[1]:void 0,done:!0}}([u,o])}}}var Q=function(e,n){return e(n={exports:{}},n.exports),n.exports}((function(e,n){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,function(e){var n,a=void 0!==(e=e||{})?e:{},r={};for(n in a)a.hasOwnProperty(n)&&(r[n]=a[n]);var u=!1,i=!1,o=!1,s=!1;u="object"==typeof window,i="function"==typeof importScripts,o="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node&&!u&&!i,s=!u&&!o&&!i;var d,p,c,f,b="";function h(e){return a.locateFile?a.locateFile(e,b):b+e}o?(b=__dirname+"/",d=function(e,n){var t;return c||(c=l),f||(f=m),e=f.normalize(e),t=c.readFileSync(e),n?t:t.toString()},p=function(e){var n=d(e,!0);return n.buffer||(n=new Uint8Array(n)),M(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ce))throw e})),process.on("unhandledRejection",oe),a.inspect=function(){return"[Emscripten Module object]"}):s?("undefined"!=typeof read&&(d=function(e){return read(e)}),p=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(M("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(u||i)&&(i?b=self.location.href:document.currentScript&&(b=document.currentScript.src),t&&(b=t),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",d=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},i&&(p=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var y,w,I=a.print||console.log.bind(console),g=a.printErr||console.warn.bind(console);for(n in r)r.hasOwnProperty(n)&&(a[n]=r[n]);r=null,a.arguments&&a.arguments,a.thisProgram&&a.thisProgram,a.quit&&a.quit,a.wasmBinary&&(y=a.wasmBinary),a.noExitRuntime&&a.noExitRuntime,"object"!=typeof WebAssembly&&g("no native wasm support detected");var v=new WebAssembly.Table({initial:112,maximum:112,element:"anyfunc"}),k=!1;function M(e,n){e||oe("Assertion failed: "+n)}function F(e){var n=a["_"+e];return M(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);C(e,n=_e(t),t)}return n},array:function(e){var n=_e(e.length);return O(e,n),n}},i=F(e),o=[],s=0;if(a)for(var d=0;d<a.length;d++){var p=u[t[d]];p?(0===s&&(s=Ne()),o[d]=p(a[d])):o[d]=a[d]}var l=i.apply(null,o);return l=function(e){return"string"===n?_(e):"boolean"===n?Boolean(e):e}(l),0!==s&&Ee(s),l}function S(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?F(e):function(){return A(e,n,t,arguments)}}var x="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function N(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&x)return x.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var o=63&e[n++];if(192!=(224&i)){var s=63&e[n++];if((i=224==(240&i)?(15&i)<<12|o<<6|s:(7&i)<<18|o<<12|s<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var d=i-65536;u+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else u+=String.fromCharCode((31&i)<<6|o)}else u+=String.fromCharCode(i)}return u}function _(e,n){return e?N(R,e,n):""}function E(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var o=e.charCodeAt(i);if(o>=55296&&o<=57343&&(o=65536+((1023&o)<<10)|1023&e.charCodeAt(++i)),o<=127){if(t>=u)break;n[t++]=o}else if(o<=2047){if(t+1>=u)break;n[t++]=192|o>>6,n[t++]=128|63&o}else if(o<=65535){if(t+2>=u)break;n[t++]=224|o>>12,n[t++]=128|o>>6&63,n[t++]=128|63&o}else{if(t+3>=u)break;n[t++]=240|o>>18,n[t++]=128|o>>12&63,n[t++]=128|o>>6&63,n[t++]=128|63&o}}return n[t]=0,t-r}function C(e,n,t){return E(e,R,n,t)}function O(e,n){z.set(e,n)}"undefined"!=typeof TextDecoder&&new TextDecoder("utf-16le");var D,z,R,P,H=65536;function W(e,n){return e%n>0&&(e+=n-e%n),e}function U(e){D=e,a.HEAP8=z=new Int8Array(e),a.HEAP16=new Int16Array(e),a.HEAP32=P=new Int32Array(e),a.HEAPU8=R=new Uint8Array(e),a.HEAPU16=new Uint16Array(e),a.HEAPU32=new Uint32Array(e),a.HEAPF32=new Float32Array(e),a.HEAPF64=new Float64Array(e)}var T=5253200,B=10160,L=a.TOTAL_MEMORY||16777216;function j(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?a.dynCall_v(t):a.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n()}}(w=a.wasmMemory?a.wasmMemory:new WebAssembly.Memory({initial:L/H}))&&(D=w.buffer),L=D.byteLength,U(D),P[B>>2]=T;var q=[],V=[],G=[],X=[];function Y(){if(a.preRun)for("function"==typeof a.preRun&&(a.preRun=[a.preRun]);a.preRun.length;)Q(a.preRun.shift());j(q)}function Z(){j(V)}function J(){j(G)}function K(){if(a.postRun)for("function"==typeof a.postRun&&(a.postRun=[a.postRun]);a.postRun.length;)$(a.postRun.shift());j(X)}function Q(e){q.unshift(e)}function $(e){X.unshift(e)}var ee=Math.ceil,ne=Math.floor,te=0,ae=null,re=null;function ue(e){te++,a.monitorRunDependencies&&a.monitorRunDependencies(te)}function ie(e){if(te--,a.monitorRunDependencies&&a.monitorRunDependencies(te),0==te&&(null!==ae&&(clearInterval(ae),ae=null),re)){var n=re;re=null,n()}}function oe(e){throw a.onAbort&&a.onAbort(e),I(e+=""),g(e),k=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}a.preloadedImages={},a.preloadedAudios={};var se="data:application/octet-stream;base64,";function de(e){return String.prototype.startsWith?e.startsWith(se):0===e.indexOf(se)}var pe="tfjs-backend-wasm.wasm";function le(){try{if(y)return new Uint8Array(y);if(p)return p(pe);throw"both async and sync fetching of the wasm failed"}catch(e){oe(e)}}function me(){return y||!u&&!i||"function"!=typeof fetch?new Promise((function(e,n){e(le())})):fetch(pe,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+pe+"'";return e.arrayBuffer()})).catch((function(){return le()}))}function ce(){var e={env:Fe,wasi_unstable:Fe};function n(e,n){var t=e.exports;a.asm=t,ie()}function t(e){n(e.instance)}function r(n){return me().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){g("failed to asynchronously prepare wasm: "+e),oe(e)}))}if(ue(),a.instantiateWasm)try{return a.instantiateWasm(e,n)}catch(e){return g("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(y||"function"!=typeof WebAssembly.instantiateStreaming||de(pe)||"function"!=typeof fetch)return r(t);fetch(pe,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){g("wasm streaming compile failed: "+e),g("falling back to ArrayBuffer instantiation"),r(t)}))}))}(),{}}function fe(){oe()}function be(e,n,t){R.set(R.subarray(n,n+t),e)}function he(){return z.length}function ye(e){try{return w.grow(e-D.byteLength+65535>>16),U(w.buffer),1}catch(e){}}function we(e){var n=he();if(e>2147418112)return!1;for(var t=Math.max(n,16777216);t<e;)t=t<=536870912?W(2*t,65536):Math.min(W((3*t+2147483648)/4,65536),2147418112);return!!ye(t)}de(pe)||(pe=h(pe)),V.push({func:function(){xe()}});var Ie={buffers:[null,[],[]],printChar:function(e,n){var t=Ie.buffers[e];0===n||10===n?((1===e?I:g)(N(t,0)),t.length=0):t.push(n)},varargs:0,get:function(e){return Ie.varargs+=4,P[Ie.varargs-4>>2]},getStr:function(){return _(Ie.get())},get64:function(){var e=Ie.get();return Ie.get(),e},getZero:function(){Ie.get()}};function ge(e){try{return 0}catch(e){return"undefined"!=typeof FS&&e instanceof FS.ErrnoError||oe(e),e.errno}}function ve(e,n,t,a,r){try{return 0}catch(e){return"undefined"!=typeof FS&&e instanceof FS.ErrnoError||oe(e),e.errno}}function ke(e,n,t,a){try{for(var r=0,u=0;u<t;u++){for(var i=P[n+8*u>>2],o=P[n+(8*u+4)>>2],s=0;s<o;s++)Ie.printChar(e,R[i+s]);r+=o}return P[a>>2]=r,0}catch(e){return"undefined"!=typeof FS&&e instanceof FS.ErrnoError||oe(e),e.errno}}function Me(e){return(e=+e)>=0?+ne(e+.5):+ee(e-.5)}var Fe={a:fe,d:be,e:we,g:ge,c:ve,f:ke,memory:w,b:Me,table:v},Ae=ce();a.asm=Ae;var Se,xe=a.___wasm_call_ctors=function(){return a.asm.h.apply(null,arguments)},Ne=(a._init=function(){return a.asm.i.apply(null,arguments)},a._register_tensor=function(){return a.asm.j.apply(null,arguments)},a._dispose_data=function(){return a.asm.k.apply(null,arguments)},a._dispose=function(){return a.asm.l.apply(null,arguments)},a._Abs=function(){return a.asm.m.apply(null,arguments)},a._Add=function(){return a.asm.n.apply(null,arguments)},a._AddN=function(){return a.asm.o.apply(null,arguments)},a._ArgMax=function(){return a.asm.p.apply(null,arguments)},a._AvgPool=function(){return a.asm.q.apply(null,arguments)},a._BatchMatMul=function(){return a.asm.r.apply(null,arguments)},a._ClipByValue=function(){return a.asm.s.apply(null,arguments)},a._Conv2D=function(){return a.asm.t.apply(null,arguments)},a._Cos=function(){return a.asm.u.apply(null,arguments)},a._CropAndResize=function(){return a.asm.v.apply(null,arguments)},a._DepthwiseConv2dNative=function(){return a.asm.w.apply(null,arguments)},a._Div=function(){return a.asm.x.apply(null,arguments)},a._Exp=function(){return a.asm.y.apply(null,arguments)},a._FloorDiv=function(){return a.asm.z.apply(null,arguments)},a._FusedBatchNorm=function(){return a.asm.A.apply(null,arguments)},a._FusedConv2D=function(){return a.asm.B.apply(null,arguments)},a._FusedDepthwiseConv2D=function(){return a.asm.C.apply(null,arguments)},a._Gather=function(){return a.asm.D.apply(null,arguments)},a._GatherNd=function(){return a.asm.E.apply(null,arguments)},a._Greater=function(){return a.asm.F.apply(null,arguments)},a._GreaterEqual=function(){return a.asm.G.apply(null,arguments)},a._Less=function(){return a.asm.H.apply(null,arguments)},a._LessEqual=function(){return a.asm.I.apply(null,arguments)},a._Log=function(){return a.asm.J.apply(null,arguments)},a._LogicalAnd=function(){return a.asm.K.apply(null,arguments)},a._Max=function(){return a.asm.L.apply(null,arguments)},a._MaxPool=function(){return a.asm.M.apply(null,arguments)},a._Maximum=function(){return a.asm.N.apply(null,arguments)},a._Min=function(){return a.asm.O.apply(null,arguments)},a._Minimum=function(){return a.asm.P.apply(null,arguments)},a._Mul=function(){return a.asm.Q.apply(null,arguments)},a._Neg=function(){return a.asm.R.apply(null,arguments)},a._NonMaxSuppressionV3=function(){return a.asm.S.apply(null,arguments)},a._NonMaxSuppressionV5=function(){return a.asm.T.apply(null,arguments)},a._NotEqual=function(){return a.asm.U.apply(null,arguments)},a._PadV2=function(){return a.asm.V.apply(null,arguments)},a._Pow=function(){return a.asm.W.apply(null,arguments)},a._Prelu=function(){return a.asm.X.apply(null,arguments)},a._Relu=function(){return a.asm.Y.apply(null,arguments)},a._Relu6=function(){return a.asm.Z.apply(null,arguments)},a._ResizeBilinear=function(){return a.asm._.apply(null,arguments)},a._Rsqrt=function(){return a.asm.$.apply(null,arguments)},a._ScatterNd=function(){return a.asm.aa.apply(null,arguments)},a._Sigmoid=function(){return a.asm.ba.apply(null,arguments)},a._Sin=function(){return a.asm.ca.apply(null,arguments)},a._Softmax=function(){return a.asm.da.apply(null,arguments)},a._Square=function(){return a.asm.ea.apply(null,arguments)},a._Sub=function(){return a.asm.fa.apply(null,arguments)},a._Sum=function(){return a.asm.ga.apply(null,arguments)},a._Tanh=function(){return a.asm.ha.apply(null,arguments)},a._Tile=function(){return a.asm.ia.apply(null,arguments)},a._Transpose=function(){return a.asm.ja.apply(null,arguments)},a.__FusedMatMul=function(){return a.asm.ka.apply(null,arguments)},a._malloc=function(){return a.asm.la.apply(null,arguments)},a._free=function(){return a.asm.ma.apply(null,arguments)},a.stackSave=function(){return a.asm.na.apply(null,arguments)}),_e=a.stackAlloc=function(){return a.asm.oa.apply(null,arguments)},Ee=a.stackRestore=function(){return a.asm.pa.apply(null,arguments)};function Ce(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Oe(e){function n(){Se||(Se=!0,k||(Z(),J(),a.onRuntimeInitialized&&a.onRuntimeInitialized(),K()))}te>0||(Y(),te>0||(a.setStatus?(a.setStatus("Running..."),setTimeout((function(){setTimeout((function(){a.setStatus("")}),1),n()}),1)):n()))}if(a.dynCall_vi=function(){return a.asm.qa.apply(null,arguments)},a.dynCall_v=function(){return a.asm.ra.apply(null,arguments)},a.asm=Ae,a.cwrap=S,a.then=function(e){if(Se)e(a);else{var n=a.onRuntimeInitialized;a.onRuntimeInitialized=function(){n&&n(),e(a)}}return a},re=function e(){Se||Oe(),Se||(re=e)},a.run=Oe,a.preInit)for("function"==typeof a.preInit&&(a.preInit=[a.preInit]);a.preInit.length>0;)a.preInit.pop()();return Oe(),e});e.exports=a})),$=function(e){function t(n){var t=e.call(this)||this;return t.wasm=n,t.dataIdNextNumber=1,t.wasm.tfjs.init(),t.dataIdMap=new s(t,d()),t}return function(e,n){function t(){this.constructor=e}Z(e,n),e.prototype=null===n?Object.create(n):(t.prototype=n.prototype,new t)}(t,e),t.prototype.write=function(e,n,t){var a={};return this.move(a,e,n,t),a},t.prototype.numDataIds=function(){return this.dataIdMap.numDataIds()},t.prototype.time=function(e){return J(this,void 0,void 0,(function(){var t;return K(this,(function(a){return t=n.now(),e(),[2,{kernelMs:n.now()-t}]}))}))},t.prototype.move=function(e,t,a,r){var u=this.dataIdNextNumber++;if("string"!==r){var i=n.sizeFromShape(a),o=i*n.bytesPerElement(r),s=this.wasm._malloc(o);this.dataIdMap.set(e,{id:u,memoryOffset:s,shape:a,dtype:r}),this.wasm.tfjs.registerTensor(u,i,s),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,0,o),s)}else{var d=t;this.dataIdMap.set(e,{id:u,stringBytes:d,shape:a,dtype:r,memoryOffset:null})}},t.prototype.read=function(e){return J(this,void 0,void 0,(function(){return K(this,(function(n){return[2,this.readSync(e)]}))}))},t.prototype.readSync=function(e){var t=this.dataIdMap.get(e),a=t.memoryOffset,r=t.dtype,u=t.shape,i=t.stringBytes;return"string"===r?i:function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+n)}}(this.wasm.HEAPU8.slice(a,a+n.sizeFromShape(u)*n.bytesPerElement(r)).buffer,r)},t.prototype.disposeData=function(e){var n=this.dataIdMap.get(e);this.wasm._free(n.memoryOffset),this.wasm.tfjs.disposeData(n.id),this.dataIdMap.delete(e)},t.prototype.floatPrecision=function(){return 32},t.prototype.getMemoryOffset=function(e){return this.dataIdMap.get(e).memoryOffset},t.prototype.dispose=function(){this.wasm.tfjs.dispose(),this.wasm=null},t.prototype.memory=function(){return{unreliable:!1}},t.prototype.makeOutput=function(e,t,a){var r;if(null==a)r=this.write(null,e,t);else{r={};var u=this.dataIdNextNumber++;this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:e,dtype:t});var i=n.sizeFromShape(e);this.wasm.tfjs.registerTensor(u,i,a)}return{dataId:r,shape:e,dtype:t}},t.prototype.typedArrayFromHeap=function(e){var t=e.shape,a=e.dtype,r=e.dataId,u=this.wasm.HEAPU8.buffer,i=this.dataIdMap.get(r).memoryOffset,o=n.sizeFromShape(t);switch(a){case"float32":return new Float32Array(u,i,o);case"int32":return new Int32Array(u,i,o);case"bool":return new Uint8Array(u,i,o);default:throw new Error("Uknown dtype "+a)}},t}(p);function ee(){return J(this,void 0,void 0,(function(){return K(this,(function(e){return[2,new Promise((function(e,n){var t={};null!=ne&&(t.locateFile=function(e,n){return e.endsWith(".wasm")?ne:n+e});var a=Q(t);a.tfjs={init:a.cwrap("init",null,[]),registerTensor:a.cwrap("register_tensor",null,["number","number","number"]),disposeData:a.cwrap("dispose_data",null,["number"]),dispose:a.cwrap("dispose",null,[])};var r=!1;a.onRuntimeInitialized=function(){r=!0,te=!1,e({wasm:a})},a.onAbort=function(){if(!r&&!te){te=!0;n({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}}}))]}))}))}o("wasm",(function(){return J(void 0,void 0,void 0,(function(){var e;return K(this,(function(n){switch(n.label){case 0:return[4,ee()];case 1:return e=n.sent().wasm,[2,new $(e)]}}))}))}),2);var ne=null,te=!1;function ae(e){if(te)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");ne=e}var re="1.7.0";export{$ as BackendWasm,ae as setWasmPath,re as version_wasm};
//# sourceMappingURL=tf-backend-wasm.esm.js.map
