/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,n){"object"==typeof exports&&"undefined"!=typeof module?n(exports,require("@tensorflow/tfjs-core"),require("fs"),require("path")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","fs","path"],n):n(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.fs,e.path)}(this,(function(e,n,t,a){"use strict";var r,u,i;function s(e){var t;n.registerKernel({kernelName:e,backendName:"wasm",setupFunc:function(n){t=n.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){var a=e.backend,r=e.inputs.x,u=a.dataIdMap.get(r.dataId).id,i=a.makeOutput(r.shape,r.dtype),s=a.dataIdMap.get(i.dataId).id;return 0===n.util.sizeFromShape(i.shape)?i:(t(u,s),i)}})}function o(e,t,a){var u;n.registerKernel({kernelName:e,backendName:"wasm",setupFunc:function(n){u=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(i){var s=i.backend,o=i.inputs,d=o.a,p=o.b,l=s.dataIdMap.get(d.dataId).id,m=s.dataIdMap.get(p.dataId).id,c=null!=a?a:d.dtype,f=n.backend_util.assertAndGetBroadcastShape(d.shape,p.shape),b=s.makeOutput(f,c);if(0===n.util.sizeFromShape(f))return b;var h=new Uint8Array(new Int32Array(d.shape).buffer),y=new Uint8Array(new Int32Array(p.shape).buffer),w=s.dataIdMap.get(b.dataId).id,g=function(){return u(l,h,d.shape.length,m,y,p.shape.length,r[d.dtype],w)};if(t)return g(),b;var I=n.backend_util.getBroadcastDims(d.shape,f),v=n.backend_util.getBroadcastDims(p.shape,f),k=I.every((function(e,n){return e===n})),M=v.every((function(e,n){return e===n}));if(k&&M)return g(),b;throw new Error("Broadcasting along outer dims is not yet supported for "+e+".")}})}t=t&&t.hasOwnProperty("default")?t.default:t,a=a&&a.hasOwnProperty("default")?a.default:a,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(r||(r={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu"}(u||(u={})),n.registerKernel({kernelName:"_FusedMatMul",backendName:"wasm",setupFunc:function(e){i=e.wasm.cwrap("_FusedMatMul",null,["number","array","number","number","array","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.a,s=n.b,o=n.bias,d=n.preluActivationWeights;if("float32"!==r.dtype||"float32"!==s.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");var p=a.transposeA,l=a.transposeB,m=a.activation,c=t.dataIdMap.get(r.dataId).id,f=t.dataIdMap.get(s.dataId).id,b=0;if(null!=o){var h=t.dataIdMap.get(o.dataId);if(1!==h.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got rank "+h.shape.length+".");b=h.id}var y=null==d?0:t.dataIdMap.get(d.dataId).id,w=u[m];if(null==w)throw new Error(m+" activation not yet supported for FusedConv2D in the wasm backend.");var g=p?r.shape[2]:r.shape[1],I=l?s.shape[1]:s.shape[2],v=r.shape[0],k=t.makeOutput([v,g,I],r.dtype),M=t.dataIdMap.get(k.dataId).id,F=new Uint8Array(new Int32Array(r.shape).buffer),A=new Uint8Array(new Int32Array(s.shape).buffer);return i(c,F,r.shape.length,f,A,s.shape.length,p,l,w,b,y,M),k}}),s("Abs");var d,p,l,m,c,f,b,h,y;function w(e){var n=e.inputs.x,t=e.attrs.dtype,a=e.backend,r=a.makeOutput(n.shape,t),u=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(u),r}o("Add",!0),n.registerKernel({kernelName:"AddN",backendName:"wasm",setupFunc:function(e){d=e.wasm.cwrap("AddN",null,["array","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,u=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.util.sizeFromShape(u.shape))return u;var i=t.map((function(e){return a.dataIdMap.get(e.dataId).id})),s=new Uint8Array(new Int32Array(i).buffer),o=a.dataIdMap.get(u.dataId).id;return d(s,i.length,r[u.dtype],o),u}}),n.registerKernel({kernelName:"ArgMax",backendName:"wasm",kernelFunc:function(e){var t=e.inputs.x,a=e.backend,u=e.attrs.axis,i=t.shape.slice(0,-1),s=a.makeOutput(i,"int32"),o=a.dataIdMap.get(t.dataId).id,d=a.dataIdMap.get(s.dataId).id,l=n.util.sizeFromShape(s.shape),m=t.shape[u];return p(o,r[t.dtype],l,m,d),s},setupFunc:function(e){p=e.wasm.cwrap("ArgMax",null,["number","number","number","number","number"])}}),n.registerKernel({kernelName:"AvgPool",backendName:"wasm",setupFunc:function(e){l=e.wasm.cwrap("AvgPool",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t,u=n.x,i=a.dataIdMap.get(u.dataId).id,s=r.filterHeight,o=r.filterWidth,d=r.padInfo.top,p=r.padInfo.right,m=r.padInfo.bottom,c=r.padInfo.left,f=r.strideHeight,b=r.strideWidth,h=r.inChannels;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");if(1!==r.dilationWidth||1!==r.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], got ["+r.dilationHeight+", "+r.dilationWidth+"].");var y=a.makeOutput(r.outShape,"float32"),w=a.dataIdMap.get(y.dataId).id;return l(i,u.shape[0],u.shape[1],u.shape[2],s,o,d,p,m,c,f,b,h,w),y}}),n.registerKernel({kernelName:"BatchMatMul",backendName:"wasm",setupFunc:function(e){m=e.wasm.cwrap("BatchMatMul",null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.a,u=n.b;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");var i=a.transposeA,s=a.transposeB,o=t.dataIdMap.get(r.dataId).id,d=t.dataIdMap.get(u.dataId).id,p=i?r.shape[2]:r.shape[1],l=s?u.shape[1]:u.shape[2],c=r.shape[0],f=t.makeOutput([c,p,l],r.dtype),b=t.dataIdMap.get(f.dataId).id,h=new Uint8Array(new Int32Array(r.shape).buffer),y=new Uint8Array(new Int32Array(u.shape).buffer);return m(o,h,r.shape.length,d,y,u.shape.length,i,s,b),f}}),n.registerKernel({kernelName:"Cast",backendName:"wasm",kernelFunc:w}),n.registerKernel({kernelName:"ClipByValue",backendName:"wasm",setupFunc:function(e){c=e.wasm.cwrap("ClipByValue",null,["number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=a.min,i=a.max,s=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,"float32"),d=t.dataIdMap.get(o.dataId).id;return c(s,u,i,d),o}}),n.registerKernel({kernelName:"Concat",backendName:"wasm",kernelFunc:function(e){for(var t=e.inputs,a=e.backend,r=e.attrs.axis,u=n.backend_util.computeOutShape(t.map((function(e){return e.shape})),r),i=a.makeOutput(u,t[0].dtype),s=n.util.sizeFromShape(t[0].shape.slice(0,r)),o=0,d=t.map((function(e){var t=n.util.sizeFromShape(e.shape.slice(r));return o+=t,t})),p=t.map((function(e){return a.typedArrayFromHeap(e)})),l=a.typedArrayFromHeap(i),m=0;m<s;m++)for(var c=m*o,f=0;f<p.length;f++){var b=d[f],h=m*b,y=p[f].subarray(h,h+b);l.set(y,c),c+=b}return i}}),n.registerKernel({kernelName:"Conv2D",backendName:"wasm",setupFunc:function(e){f=e.wasm.cwrap("Conv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t,u=n.x,i=n.filter,s=a.dataIdMap.get(u.dataId).id,o=a.dataIdMap.get(i.dataId).id,d=r.filterHeight,p=r.filterWidth,l=r.padInfo.top,m=r.padInfo.right,c=r.padInfo.bottom,b=r.padInfo.left,h=r.dilationHeight,y=r.dilationWidth,w=r.strideHeight,g=r.strideWidth,I=r.inChannels,v=r.outChannels,k="SAME"===r.padInfo.type?1:0;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var M=a.makeOutput(r.outShape,"float32"),F=a.dataIdMap.get(M.dataId).id;return f(s,u.shape[0],u.shape[1],u.shape[2],o,d,p,l,m,c,b,k,h,y,w,g,I,v,F),M}}),function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(b||(b={})),n.registerKernel({kernelName:"CropAndResize",backendName:"wasm",setupFunc:function(e){h=e.wasm.cwrap("CropAndResize",null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){var n,t=e.backend,a=e.inputs,r=e.attrs,u=r.method,i=r.extrapolationValue,s=r.cropSize,o=a.images,d=a.boxes,p=a.boxInd,l=d.shape[0],m=s,c=m[0],f=m[1],y=[l,c,f,o.shape[3]],g=t.dataIdMap.get(o.dataId);"float32"!==o.dtype&&(n=w({backend:t,inputs:{x:o},attrs:{dtype:"float32"}}),g=t.dataIdMap.get(n.dataId));var I=g.id,v=t.dataIdMap.get(d.dataId).id,k=t.dataIdMap.get(p.dataId).id,M=t.makeOutput(y,"float32"),F=t.dataIdMap.get(M.dataId).id,A=new Uint8Array(new Int32Array(o.shape).buffer);return h(I,v,k,l,A,c,f,b[u],i,F),null!=n&&t.disposeData(n.dataId),M}}),s("Cos"),n.registerKernel({kernelName:"DepthwiseConv2dNative",backendName:"wasm",setupFunc:function(e){y=e.wasm.cwrap("DepthwiseConv2dNative",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t,u=n.x,i=n.filter,s=a.dataIdMap.get(u.dataId).id,o=a.dataIdMap.get(i.dataId).id,d=r.filterHeight,p=r.filterWidth,l=r.padInfo.top,m=r.padInfo.right,c=r.padInfo.bottom,f=r.padInfo.left,b=r.dilationHeight,h=r.dilationWidth,w=r.strideHeight,g=r.strideWidth,I=r.inChannels,v=r.outChannels,k="SAME"===r.padInfo.type?1:0;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var M=a.makeOutput(r.outShape,"float32"),F=a.dataIdMap.get(M.dataId).id;return y(s,u.shape[0],u.shape[1],u.shape[2],o,d,p,l,m,c,f,k,b,h,w,g,I,v,F),M}});o("Div",!1),s("Exp");var g,I,v,k,M;o("FloorDiv",!1),n.registerKernel({kernelName:"BatchNormalization",backendName:"wasm",setupFunc:function(e){g=e.wasm.cwrap("FusedBatchNorm",null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.varianceEpsilon,u=a.x,i=a.mean,s=a.variance,o=a.offset,d=a.scale,p=t.dataIdMap.get(u.dataId).id,l=t.dataIdMap.get(i.dataId).id,m=t.dataIdMap.get(s.dataId).id,c=null!=o?t.dataIdMap.get(o.dataId).id:0,f=null!=d?t.dataIdMap.get(d.dataId).id:0,b=t.makeOutput(u.shape,u.dtype);if(0===n.util.sizeFromShape(u.shape))return b;var h=t.dataIdMap.get(b.dataId).id;return g(p,l,m,c,f,r,h),b}}),n.registerKernel({kernelName:"FusedConv2D",backendName:"wasm",setupFunc:function(e){I=e.wasm.cwrap("FusedConv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t.convInfo,i=t.activation,s=u[i];if(null==s)throw new Error(i+" activation not yet supported for FusedConv2D in the wasm backend.");var o=n.x,d=n.filter,p=n.bias,l=n.preluActivationWeights,m=a.dataIdMap.get(o.dataId).id,c=a.dataIdMap.get(d.dataId).id,f=r.outChannels,b=0;if(null!=p){var h=a.dataIdMap.get(p.dataId);if(1!==h.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got rank "+h.shape.length+".");if(h.shape[0]!==f)throw new Error("FusedConv2D bias shape ("+h.shape+") does not match the number of output channels ("+f+")");b=h.id}var y=r.filterHeight,w=r.filterWidth,g=r.padInfo.top,v=r.padInfo.right,k=r.padInfo.bottom,M=r.padInfo.left,F=r.dilationHeight,A=r.dilationWidth,S=r.strideHeight,_=r.strideWidth,x=r.inChannels,N="SAME"===r.padInfo.type?1:0,E=r.batchSize,O=r.inHeight,C=r.inWidth;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var D=a.makeOutput(r.outShape,"float32"),z=a.dataIdMap.get(D.dataId).id,P=null==l?0:a.dataIdMap.get(l.dataId).id;return I(m,E,O,C,c,y,w,b,g,v,k,M,N,F,A,S,_,x,f,s,P,z),D}}),n.registerKernel({kernelName:"FusedDepthwiseConv2D",backendName:"wasm",setupFunc:function(e){v=e.wasm.cwrap("FusedDepthwiseConv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t.convInfo,i=t.activation,s=u[i];if(null==s)throw new Error(i+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");var o=n.x,d=n.filter,p=n.bias,l=n.preluActivationWeights,m=a.dataIdMap.get(o.dataId).id,c=a.dataIdMap.get(d.dataId).id,f=r.outChannels,b=0;if(null!=p){var h=a.dataIdMap.get(p.dataId);if(1!==h.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got rank "+h.shape.length+".");if(h.shape[0]!==f)throw new Error("FusedDepthwiseConv2D bias shape ("+h.shape+") does not match the number of output channels ("+f+")");b=h.id}var y=r.filterHeight,w=r.filterWidth,g=r.padInfo.top,I=r.padInfo.right,k=r.padInfo.bottom,M=r.padInfo.left,F=r.dilationHeight,A=r.dilationWidth,S=r.strideHeight,_=r.strideWidth,x=r.inChannels,N="SAME"===r.padInfo.type?1:0,E=r.batchSize,O=r.inHeight,C=r.inWidth;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var D=a.makeOutput(r.outShape,"float32"),z=a.dataIdMap.get(D.dataId).id,P=null==l?0:a.dataIdMap.get(l.dataId).id;return v(m,E,O,C,c,y,w,b,g,I,k,M,N,F,A,S,_,x,f,s,P,z),D}}),n.registerKernel({kernelName:"Gather",backendName:"wasm",setupFunc:function(e){k=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,u=e.attrs,i=a.x,s=a.indices,o=u.axis,d=i.shape.slice();d[o]=n.util.sizeFromShape(s.shape);var p=i.shape.length-1,l=t.makeOutput(d,i.dtype);if(0===n.util.sizeFromShape(i.shape))return l;var m=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(s.dataId).id,f=t.dataIdMap.get(l.dataId).id,b=new Uint8Array(new Int32Array(n.util.computeStrides(i.shape)).buffer),h=new Uint8Array(new Int32Array(n.util.computeStrides(d)).buffer);return k(m,r[i.dtype],b,p,c,o,h,f),l}}),n.registerKernel({kernelName:"GatherNd",backendName:"wasm",setupFunc:function(e){M=e.wasm.cwrap("GatherNd",null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,u=a.x,i=a.indices,s=n.gather_util.prepareAndValidate(u,i),o=s[0],d=s[1],p=s[2],l=s[3],m=t.makeOutput(o,u.dtype);if(0===d)return m;var c=i.shape,f=c[c.length-1],b=t.dataIdMap.get(u.dataId).id,h=t.dataIdMap.get(i.dataId).id,y=new Uint8Array(new Int32Array(l).buffer),w=t.dataIdMap.get(m.dataId).id;return M(b,r[u.dtype],h,d,f,p,y,w),m}});o("Greater",!1,"bool");o("GreaterEqual",!1,"bool");o("LogicalAnd",!1,"bool");o("Less",!1,"bool");var F;o("LessEqual",!1,"bool"),s("Log"),n.registerKernel({kernelName:"Max",backendName:"wasm",setupFunc:function(e){F=e.wasm.cwrap("Max",null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.axes,u=a.x,i=t.dataIdMap.get(u.dataId).id;n.backend_util.assertAxesAreInnerMostDims("max",r,u.shape.length);var s=n.backend_util.computeOutAndReduceShapes(u.shape,r),o=s[0],d=s[1],p=n.util.sizeFromShape(d),l=t.makeOutput(o,u.dtype);if(0===n.util.sizeFromShape(u.shape))return l;var m=t.dataIdMap.get(l.dataId).id;return F(i,p,m),l}});var A,S;o("Maximum",!1),n.registerKernel({kernelName:"MaxPool",backendName:"wasm",setupFunc:function(e){A=e.wasm.cwrap("MaxPool",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.attrs,a=e.backend,r=t,u=n.x,i=a.dataIdMap.get(u.dataId).id,s=r.filterHeight,o=r.filterWidth,d=r.padInfo.top,p=r.padInfo.right,l=r.padInfo.bottom,m=r.padInfo.left,c=r.dilationHeight,f=r.dilationWidth,b=r.strideHeight,h=r.strideWidth,y=r.inChannels,w=r.outChannels;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+r.dataFormat+"'. Please use 'channelsLast'.");var g=a.makeOutput(r.outShape,"float32"),I=a.dataIdMap.get(g.dataId).id;return A(i,u.shape[0],u.shape[1],u.shape[2],s,o,d,p,l,m,c,f,b,h,y,w,I),g}}),n.registerKernel({kernelName:"Min",backendName:"wasm",setupFunc:function(e){S=e.wasm.cwrap("Min",null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.axes,u=a.x,i=t.dataIdMap.get(u.dataId).id;n.backend_util.assertAxesAreInnerMostDims("min",r,u.shape.length);var s=n.backend_util.computeOutAndReduceShapes(u.shape,r),o=s[0],d=s[1],p=n.util.sizeFromShape(d),l=t.makeOutput(o,u.dtype);if(0===n.util.sizeFromShape(u.shape))return l;var m=t.dataIdMap.get(l.dataId).id;return S(i,p,m),l}});o("Minimum",!1);var _,x;function N(e,n){var t=new Int32Array(e.wasm.HEAPU8.buffer,n,3),a=t[0],r=t[1],u=t[2];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u}}o("Mul",!0),s("Neg"),n.registerKernel({kernelName:"NonMaxSuppressionV3",backendName:"wasm",setupFunc:function(e){_=e.wasm.cwrap("NonMaxSuppressionV3","number",["number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=t.boxes,o=t.scores,d=n.dataIdMap.get(s.dataId).id,p=n.dataIdMap.get(o.dataId).id,l=N(n,_(d,p,u,r,i)),m=l.pSelectedIndices,c=l.selectedSize,f=l.pSelectedScores;return n.wasm._free(f),n.makeOutput([c],"int32",m)}}),n.registerKernel({kernelName:"NonMaxSuppressionV5",backendName:"wasm",setupFunc:function(e){x=e.wasm.cwrap("NonMaxSuppressionV5","number",["number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=a.softNmsSigma,o=t.boxes,d=t.scores,p=n.dataIdMap.get(o.dataId).id,l=n.dataIdMap.get(d.dataId).id,m=N(n,x(p,l,u,r,i,s)),c=m.pSelectedIndices,f=m.selectedSize,b=m.pSelectedScores;return[n.makeOutput([f],"int32",c),n.makeOutput([f],"float32",b)]}});var E;o("NotEqual",!1,"bool"),n.registerKernel({kernelName:"PadV2",backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=e.attrs,u=a.paddings,i=a.constantValue,s=u.map((function(e,t){return e[0]+n.shape[t]+e[1]})),o=t.dataIdMap.get(n.dataId).id,d=t.makeOutput(s,n.dtype),p=t.dataIdMap.get(d.dataId).id,l=new Uint8Array(new Int32Array(n.shape).buffer),m=[].concat.apply([],u),c=new Uint8Array(new Int32Array(m).buffer);return E(o,l,n.shape.length,r[n.dtype],c,i,p),d},setupFunc:function(e){E=e.wasm.cwrap("PadV2",null,["number","array","number","number","array","number","number"])}});var O,C,D,z,P;function R(e){var t=e.inputs.x,a=e.attrs,r=a.begin,u=a.size,i=e.backend,s=n.slice_util.isSliceContinous(t.shape,r,u),o=i.typedArrayFromHeap(t),d=i.makeOutput(u,t.dtype),p=i.typedArrayFromHeap(d),l=n.util.computeStrides(t.shape);if(s){var m=n.slice_util.computeFlatOffset(r,l);return p.set(o.subarray(m,m+n.util.sizeFromShape(u))),d}var c=t.shape.length;return 2===c?function(e,n,t,a,r){for(var u=0,i=a[0],s=a[1],o=i+r[0],d=i;d<o;d++){var p=d*n+s;t.set(e.subarray(p,p+r[1]),u),u+=r[1]}}(o,l[0],p,r,u):3===c?function(e,n,t,a,r,u){for(var i=0,s=r[0],o=r[1],d=r[2],p=s+u[0],l=o+u[1],m=s;m<p;m++)for(var c=o;c<l;c++){var f=m*n+c*t+d;a.set(e.subarray(f,f+u[2]),i),i+=u[2]}}(o,l[0],l[1],p,r,u):4===c?function(e,n,t,a,r,u,i){for(var s=0,o=u[0],d=u[1],p=u[2],l=o+i[0],m=d+i[1],c=p+i[2],f=u[3],b=o;b<l;b++)for(var h=d;h<m;h++)for(var y=p;y<c;y++){var w=b*n+h*t+y*a+f;r.set(e.subarray(w,w+i[3]),s),s+=i[3]}}(o,l[0],l[1],l[2],p,r,u):function(e,t,a,r,u){for(var i=n.buffer(u,t.dtype,a),s=n.buffer(t.shape,t.dtype,e),o=0;o<i.size;++o){var d=i.indexToLoc(o).map((function(e,n){return e+r[n]}));a[o]=s.get.apply(s,d)}}(o,t,p,r,u),d}o("Pow",!1),n.registerKernel({kernelName:"Prelu",backendName:"wasm",setupFunc:function(e){O=e.wasm.cwrap("Prelu",null,["number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=n.x,r=n.alpha,u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=t.makeOutput(a.shape,"float32"),o=t.dataIdMap.get(s.dataId).id;return O(u,i,o),s}}),s("Relu"),s("Relu6"),n.registerKernel({kernelName:"Reshape",backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.attrs.shape;return{dataId:n.dataId,shape:t,dtype:n.dtype}}}),n.registerKernel({kernelName:"ResizeBilinear",backendName:"wasm",setupFunc:function(e){C=e.wasm.cwrap("ResizeBilinear",null,["number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t,a=e.backend,r=e.inputs,u=e.attrs,i=r.x,s=u.alignCorners,o=u.newHeight,d=u.newWidth,p=i.shape,l=p[0],m=p[1],c=p[2],f=p[3],b=[l,o,d,f],h=a.dataIdMap.get(i.dataId);"float32"!==h.dtype&&(t=w({backend:a,inputs:{x:i},attrs:{dtype:"float32"}}),h=a.dataIdMap.get(t.dataId));var y=h.id,g=a.makeOutput(b,"float32");if(0===n.util.sizeFromShape(i.shape))return g;var I=a.dataIdMap.get(g.dataId).id;return C(y,l,m,c,f,o,d,s?1:0,I),null!=t&&a.disposeData(t.dataId),g}}),s("Rsqrt"),n.registerKernel({kernelName:"ScatterNd",backendName:"wasm",setupFunc:function(e){D=e.wasm.cwrap("ScatterNd",null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,u=e.attrs,i=a.indices,s=a.updates,o=u.shape,d=t.makeOutput(o,s.dtype);if(0===n.util.sizeFromShape(o))return d;var p=n.scatter_util.calculateShapes(s,i,o),l=p.sliceRank,m=p.numUpdates,c=p.sliceSize,f=p.strides,b=p.outputSize,h=t.dataIdMap.get(i.dataId).id,y=t.dataIdMap.get(s.dataId).id,w=new Uint8Array(new Int32Array(f).buffer),g=t.dataIdMap.get(d.dataId).id;return D(h,y,r[s.dtype],l,m,c,w,b,g),d}}),n.registerKernel({kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){z=e.wasm.cwrap("Sigmoid",null,["number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.x,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(u.dataId).id;return 0===n.util.sizeFromShape(u.shape)?u:(z(r,i),u)}}),s("Sin"),n.registerKernel({kernelName:"Slice",backendName:"wasm",kernelFunc:R}),n.registerKernel({kernelName:"Softmax",backendName:"wasm",setupFunc:function(e){P=e.wasm.cwrap("Softmax",null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.logits,r=e.attrs.dim,u=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(i.dataId).id,o=a.shape[r],d=n.util.sizeFromShape(a.shape)/o;return 0===n.util.sizeFromShape(i.shape)?i:(P(u,s,o,d),i)}}),s("Square");var H,W,U;o("Sub",!0),n.registerKernel({kernelName:"Sum",backendName:"wasm",setupFunc:function(e){H=e.wasm.cwrap("Sum",null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.axes,u=a.x,i=t.dataIdMap.get(u.dataId).id;n.backend_util.assertAxesAreInnerMostDims("sum",r,u.shape.length);var s=n.backend_util.computeOutAndReduceShapes(u.shape,r),o=s[0],d=s[1],p=n.util.sizeFromShape(d),l=t.makeOutput(o,u.dtype);if(0===n.util.sizeFromShape(u.shape))return l;var m=t.dataIdMap.get(l.dataId).id;return H(i,p,m),l}}),s("Tanh"),n.registerKernel({kernelName:"Tile",backendName:"wasm",setupFunc:function(e){W=e.wasm.cwrap("Tile",null,["number","array","number","array","number","number"])},kernelFunc:function(e){for(var n=e.inputs,t=e.backend,a=e.attrs,u=n.x,i=t.dataIdMap.get(u.dataId).id,s=a.reps,o=new Array(u.shape.length),d=0;d<o.length;d++)o[d]=u.shape[d]*s[d];var p=new Uint8Array(new Int32Array(u.shape).buffer),l=new Uint8Array(new Int32Array(o).buffer),m=t.makeOutput(o,u.dtype),c=t.dataIdMap.get(m.dataId).id;return W(i,p,u.shape.length,l,o.length,r[m.dtype],c),m}}),n.registerKernel({kernelName:"Transpose",backendName:"wasm",kernelFunc:function(e){for(var n=e.inputs,t=e.backend,a=e.attrs,u=function(e,n){for(var t=[],a=[],r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(r=0;r<a.length;++r){for(var u=-1,i=0;i<a.length;++i)a[i]>=r&&(-1===u||a[u]>a[i])&&(u=i);a[u]=r}return[t,a]}(n.x.shape,a.perm),i=u[0],s=u[1],o={dataId:n.x.dataId,shape:i,dtype:n.x.dtype},d=!0,p=0;p<s.length;p++)s[p]!==p&&(d=!1);var l=function(e,n){for(var t=new Array(e.length),a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm);if(d)return{dataId:o.dataId,shape:l,dtype:o.dtype};var m=t.makeOutput(l,o.dtype),c=t.dataIdMap.get(o.dataId).id,f=t.dataIdMap.get(m.dataId).id,b=new Uint8Array(new Int32Array(s).buffer),h=new Uint8Array(new Int32Array(o.shape).buffer);return U(c,h,o.shape.length,r[o.dtype],f,b,s.length),m},setupFunc:function(e){U=e.wasm.cwrap("Transpose",null,["number","array","number","number","number","array","number"])}}),n.registerKernel({kernelName:"Unpack",backendName:"wasm",kernelFunc:function(e){for(var n=e.inputs.x,t=e.backend,a=e.attrs.axis,r=n.shape[a],u=n.shape.length,i=new Array(u-1),s=0,o=0;o<u;o++)o!==a&&(i[s++]=n.shape[o]);var d=new Array(r),p=new Array(u).fill(0),l=n.shape.slice();for(l[a]=1,o=0;o<d.length;o++)p[a]=o,d[o]=R({inputs:{x:n},attrs:{begin:p,size:l},backend:t});return d.map((function(e){return{dataId:e.dataId,dtype:e.dtype,shape:i}}))}});var K=function(e,n){return(K=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,n){e.__proto__=n}||function(e,n){for(var t in n)n.hasOwnProperty(t)&&(e[t]=n[t])})(e,n)};function T(e,n,t,a){return new(t||(t=Promise))((function(r,u){function i(e){try{o(a.next(e))}catch(e){u(e)}}function s(e){try{o(a.throw(e))}catch(e){u(e)}}function o(e){e.done?r(e.value):new t((function(n){n(e.value)})).then(i,s)}o((a=a.apply(e,n||[])).next())}))}function B(e,n){var t,a,r,u,i={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return u={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(u[Symbol.iterator]=function(){return this}),u;function s(u){return function(s){return function(u){if(t)throw new TypeError("Generator is already executing.");for(;i;)try{if(t=1,a&&(r=2&u[0]?a.return:u[0]?a.throw||((r=a.return)&&r.call(a),0):a.next)&&!(r=r.call(a,u[1])).done)return r;switch(a=0,r&&(u=[2&u[0],r.value]),u[0]){case 0:case 1:r=u;break;case 4:return i.label++,{value:u[1],done:!1};case 5:i.label++,a=u[1],u=[0];continue;case 7:u=i.ops.pop(),i.trys.pop();continue;default:if(!(r=(r=i.trys).length>0&&r[r.length-1])&&(6===u[0]||2===u[0])){i=0;continue}if(3===u[0]&&(!r||u[1]>r[0]&&u[1]<r[3])){i.label=u[1];break}if(6===u[0]&&i.label<r[1]){i.label=r[1],r=u;break}if(r&&i.label<r[2]){i.label=r[2],i.ops.push(u);break}r[2]&&i.ops.pop(),i.trys.pop();continue}u=n.call(e,i)}catch(e){u=[6,e],a=0}finally{t=r=0}if(5&u[0])throw u[1];return{value:u[0]?u[1]:void 0,done:!0}}([u,s])}}}var L=function(e,n){return e(n={exports:{}},n.exports),n.exports}((function(e,n){var r,u=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,function(e){var n,u=void 0!==(e=e||{})?e:{},i={};for(n in u)u.hasOwnProperty(n)&&(i[n]=u[n]);var s=!1,o=!1,d=!1,p=!1;s="object"==typeof window,o="function"==typeof importScripts,d="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node&&!s&&!o,p=!s&&!d&&!o;var l,m,c,f,b="";function h(e){return u.locateFile?u.locateFile(e,b):b+e}d?(b=__dirname+"/",l=function(e,n){var r;return c||(c=t),f||(f=a),e=f.normalize(e),r=c.readFileSync(e),n?r:r.toString()},m=function(e){var n=l(e,!0);return n.buffer||(n=new Uint8Array(n)),M(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Oe))throw e})),process.on("unhandledRejection",se),u.inspect=function(){return"[Emscripten Module object]"}):p?("undefined"!=typeof read&&(l=function(e){return read(e)}),m=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(M("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(s||o)&&(o?b=self.location.href:document.currentScript&&(b=document.currentScript.src),r&&(b=r),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",l=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},o&&(m=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var y,w,g=u.print||console.log.bind(console),I=u.printErr||console.warn.bind(console);for(n in i)i.hasOwnProperty(n)&&(u[n]=i[n]);i=null,u.arguments&&u.arguments,u.thisProgram&&u.thisProgram,u.quit&&u.quit,u.wasmBinary&&(y=u.wasmBinary),u.noExitRuntime&&u.noExitRuntime,"object"!=typeof WebAssembly&&I("no native wasm support detected");var v=new WebAssembly.Table({initial:112,maximum:112,element:"anyfunc"}),k=!1;function M(e,n){e||se("Assertion failed: "+n)}function F(e){var n=u["_"+e];return M(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);O(e,n=Ne(t),t)}return n},array:function(e){var n=Ne(e.length);return C(e,n),n}},i=F(e),s=[],o=0;if(a)for(var d=0;d<a.length;d++){var p=u[t[d]];p?(0===o&&(o=xe()),s[d]=p(a[d])):s[d]=a[d]}var l=i.apply(null,s);return l=function(e){return"string"===n?N(e):"boolean"===n?Boolean(e):e}(l),0!==o&&Ee(o),l}function S(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?F(e):function(){return A(e,n,t,arguments)}}var _="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function x(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&_)return _.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var d=i-65536;u+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function N(e,n){return e?x(P,e,n):""}function E(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function O(e,n,t){return E(e,P,n,t)}function C(e,n){z.set(e,n)}"undefined"!=typeof TextDecoder&&new TextDecoder("utf-16le");var D,z,P,R,H=65536;function W(e,n){return e%n>0&&(e+=n-e%n),e}function U(e){D=e,u.HEAP8=z=new Int8Array(e),u.HEAP16=new Int16Array(e),u.HEAP32=R=new Int32Array(e),u.HEAPU8=P=new Uint8Array(e),u.HEAPU16=new Uint16Array(e),u.HEAPU32=new Uint32Array(e),u.HEAPF32=new Float32Array(e),u.HEAPF64=new Float64Array(e)}var K=5253200,T=10160,B=u.TOTAL_MEMORY||16777216;function L(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?u.dynCall_v(t):u.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n()}}(w=u.wasmMemory?u.wasmMemory:new WebAssembly.Memory({initial:B/H}))&&(D=w.buffer),B=D.byteLength,U(D),R[T>>2]=K;var j=[],q=[],V=[],G=[];function X(){if(u.preRun)for("function"==typeof u.preRun&&(u.preRun=[u.preRun]);u.preRun.length;)Q(u.preRun.shift());L(j)}function Y(){L(q)}function Z(){L(V)}function J(){if(u.postRun)for("function"==typeof u.postRun&&(u.postRun=[u.postRun]);u.postRun.length;)$(u.postRun.shift());L(G)}function Q(e){j.unshift(e)}function $(e){G.unshift(e)}var ee=Math.ceil,ne=Math.floor,te=0,ae=null,re=null;function ue(e){te++,u.monitorRunDependencies&&u.monitorRunDependencies(te)}function ie(e){if(te--,u.monitorRunDependencies&&u.monitorRunDependencies(te),0==te&&(null!==ae&&(clearInterval(ae),ae=null),re)){var n=re;re=null,n()}}function se(e){throw u.onAbort&&u.onAbort(e),g(e+=""),I(e),k=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}u.preloadedImages={},u.preloadedAudios={};var oe="data:application/octet-stream;base64,";function de(e){return String.prototype.startsWith?e.startsWith(oe):0===e.indexOf(oe)}var pe="tfjs-backend-wasm.wasm";function le(){try{if(y)return new Uint8Array(y);if(m)return m(pe);throw"both async and sync fetching of the wasm failed"}catch(e){se(e)}}function me(){return y||!s&&!o||"function"!=typeof fetch?new Promise((function(e,n){e(le())})):fetch(pe,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+pe+"'";return e.arrayBuffer()})).catch((function(){return le()}))}function ce(){var e={env:Fe,wasi_unstable:Fe};function n(e,n){var t=e.exports;u.asm=t,ie()}function t(e){n(e.instance)}function a(n){return me().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){I("failed to asynchronously prepare wasm: "+e),se(e)}))}if(ue(),u.instantiateWasm)try{return u.instantiateWasm(e,n)}catch(e){return I("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(y||"function"!=typeof WebAssembly.instantiateStreaming||de(pe)||"function"!=typeof fetch)return a(t);fetch(pe,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){I("wasm streaming compile failed: "+e),I("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}function fe(){se()}function be(e,n,t){P.set(P.subarray(n,n+t),e)}function he(){return z.length}function ye(e){try{return w.grow(e-D.byteLength+65535>>16),U(w.buffer),1}catch(e){}}function we(e){var n=he();if(e>2147418112)return!1;for(var t=Math.max(n,16777216);t<e;)t=t<=536870912?W(2*t,65536):Math.min(W((3*t+2147483648)/4,65536),2147418112);return!!ye(t)}de(pe)||(pe=h(pe)),q.push({func:function(){_e()}});var ge={buffers:[null,[],[]],printChar:function(e,n){var t=ge.buffers[e];0===n||10===n?((1===e?g:I)(x(t,0)),t.length=0):t.push(n)},varargs:0,get:function(e){return ge.varargs+=4,R[ge.varargs-4>>2]},getStr:function(){return N(ge.get())},get64:function(){var e=ge.get();return ge.get(),e},getZero:function(){ge.get()}};function Ie(e){try{return 0}catch(e){return"undefined"!=typeof FS&&e instanceof FS.ErrnoError||se(e),e.errno}}function ve(e,n,t,a,r){try{return 0}catch(e){return"undefined"!=typeof FS&&e instanceof FS.ErrnoError||se(e),e.errno}}function ke(e,n,t,a){try{for(var r=0,u=0;u<t;u++){for(var i=R[n+8*u>>2],s=R[n+(8*u+4)>>2],o=0;o<s;o++)ge.printChar(e,P[i+o]);r+=s}return R[a>>2]=r,0}catch(e){return"undefined"!=typeof FS&&e instanceof FS.ErrnoError||se(e),e.errno}}function Me(e){return(e=+e)>=0?+ne(e+.5):+ee(e-.5)}var Fe={a:fe,d:be,e:we,g:Ie,c:ve,f:ke,memory:w,b:Me,table:v},Ae=ce();u.asm=Ae;var Se,_e=u.___wasm_call_ctors=function(){return u.asm.h.apply(null,arguments)},xe=(u._init=function(){return u.asm.i.apply(null,arguments)},u._register_tensor=function(){return u.asm.j.apply(null,arguments)},u._dispose_data=function(){return u.asm.k.apply(null,arguments)},u._dispose=function(){return u.asm.l.apply(null,arguments)},u._Abs=function(){return u.asm.m.apply(null,arguments)},u._Add=function(){return u.asm.n.apply(null,arguments)},u._AddN=function(){return u.asm.o.apply(null,arguments)},u._ArgMax=function(){return u.asm.p.apply(null,arguments)},u._AvgPool=function(){return u.asm.q.apply(null,arguments)},u._BatchMatMul=function(){return u.asm.r.apply(null,arguments)},u._ClipByValue=function(){return u.asm.s.apply(null,arguments)},u._Conv2D=function(){return u.asm.t.apply(null,arguments)},u._Cos=function(){return u.asm.u.apply(null,arguments)},u._CropAndResize=function(){return u.asm.v.apply(null,arguments)},u._DepthwiseConv2dNative=function(){return u.asm.w.apply(null,arguments)},u._Div=function(){return u.asm.x.apply(null,arguments)},u._Exp=function(){return u.asm.y.apply(null,arguments)},u._FloorDiv=function(){return u.asm.z.apply(null,arguments)},u._FusedBatchNorm=function(){return u.asm.A.apply(null,arguments)},u._FusedConv2D=function(){return u.asm.B.apply(null,arguments)},u._FusedDepthwiseConv2D=function(){return u.asm.C.apply(null,arguments)},u._Gather=function(){return u.asm.D.apply(null,arguments)},u._GatherNd=function(){return u.asm.E.apply(null,arguments)},u._Greater=function(){return u.asm.F.apply(null,arguments)},u._GreaterEqual=function(){return u.asm.G.apply(null,arguments)},u._Less=function(){return u.asm.H.apply(null,arguments)},u._LessEqual=function(){return u.asm.I.apply(null,arguments)},u._Log=function(){return u.asm.J.apply(null,arguments)},u._LogicalAnd=function(){return u.asm.K.apply(null,arguments)},u._Max=function(){return u.asm.L.apply(null,arguments)},u._MaxPool=function(){return u.asm.M.apply(null,arguments)},u._Maximum=function(){return u.asm.N.apply(null,arguments)},u._Min=function(){return u.asm.O.apply(null,arguments)},u._Minimum=function(){return u.asm.P.apply(null,arguments)},u._Mul=function(){return u.asm.Q.apply(null,arguments)},u._Neg=function(){return u.asm.R.apply(null,arguments)},u._NonMaxSuppressionV3=function(){return u.asm.S.apply(null,arguments)},u._NonMaxSuppressionV5=function(){return u.asm.T.apply(null,arguments)},u._NotEqual=function(){return u.asm.U.apply(null,arguments)},u._PadV2=function(){return u.asm.V.apply(null,arguments)},u._Pow=function(){return u.asm.W.apply(null,arguments)},u._Prelu=function(){return u.asm.X.apply(null,arguments)},u._Relu=function(){return u.asm.Y.apply(null,arguments)},u._Relu6=function(){return u.asm.Z.apply(null,arguments)},u._ResizeBilinear=function(){return u.asm._.apply(null,arguments)},u._Rsqrt=function(){return u.asm.$.apply(null,arguments)},u._ScatterNd=function(){return u.asm.aa.apply(null,arguments)},u._Sigmoid=function(){return u.asm.ba.apply(null,arguments)},u._Sin=function(){return u.asm.ca.apply(null,arguments)},u._Softmax=function(){return u.asm.da.apply(null,arguments)},u._Square=function(){return u.asm.ea.apply(null,arguments)},u._Sub=function(){return u.asm.fa.apply(null,arguments)},u._Sum=function(){return u.asm.ga.apply(null,arguments)},u._Tanh=function(){return u.asm.ha.apply(null,arguments)},u._Tile=function(){return u.asm.ia.apply(null,arguments)},u._Transpose=function(){return u.asm.ja.apply(null,arguments)},u.__FusedMatMul=function(){return u.asm.ka.apply(null,arguments)},u._malloc=function(){return u.asm.la.apply(null,arguments)},u._free=function(){return u.asm.ma.apply(null,arguments)},u.stackSave=function(){return u.asm.na.apply(null,arguments)}),Ne=u.stackAlloc=function(){return u.asm.oa.apply(null,arguments)},Ee=u.stackRestore=function(){return u.asm.pa.apply(null,arguments)};function Oe(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Ce(e){function n(){Se||(Se=!0,k||(Y(),Z(),u.onRuntimeInitialized&&u.onRuntimeInitialized(),J()))}te>0||(X(),te>0||(u.setStatus?(u.setStatus("Running..."),setTimeout((function(){setTimeout((function(){u.setStatus("")}),1),n()}),1)):n()))}if(u.dynCall_vi=function(){return u.asm.qa.apply(null,arguments)},u.dynCall_v=function(){return u.asm.ra.apply(null,arguments)},u.asm=Ae,u.cwrap=S,u.then=function(e){if(Se)e(u);else{var n=u.onRuntimeInitialized;u.onRuntimeInitialized=function(){n&&n(),e(u)}}return u},re=function e(){Se||Ce(),Se||(re=e)},u.run=Ce,u.preInit)for("function"==typeof u.preInit&&(u.preInit=[u.preInit]);u.preInit.length>0;)u.preInit.pop()();return Ce(),e});e.exports=u})),j=function(e){function t(t){var a=e.call(this)||this;return a.wasm=t,a.dataIdNextNumber=1,a.wasm.tfjs.init(),a.dataIdMap=new n.DataStorage(a,n.engine()),a}return function(e,n){function t(){this.constructor=e}K(e,n),e.prototype=null===n?Object.create(n):(t.prototype=n.prototype,new t)}(t,e),t.prototype.write=function(e,n,t){var a={};return this.move(a,e,n,t),a},t.prototype.numDataIds=function(){return this.dataIdMap.numDataIds()},t.prototype.time=function(e){return T(this,void 0,void 0,(function(){var t;return B(this,(function(a){return t=n.util.now(),e(),[2,{kernelMs:n.util.now()-t}]}))}))},t.prototype.move=function(e,t,a,r){var u=this.dataIdNextNumber++;if("string"!==r){var i=n.util.sizeFromShape(a),s=i*n.util.bytesPerElement(r),o=this.wasm._malloc(s);this.dataIdMap.set(e,{id:u,memoryOffset:o,shape:a,dtype:r}),this.wasm.tfjs.registerTensor(u,i,o),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,0,s),o)}else{var d=t;this.dataIdMap.set(e,{id:u,stringBytes:d,shape:a,dtype:r,memoryOffset:null})}},t.prototype.read=function(e){return T(this,void 0,void 0,(function(){return B(this,(function(n){return[2,this.readSync(e)]}))}))},t.prototype.readSync=function(e){var t=this.dataIdMap.get(e),a=t.memoryOffset,r=t.dtype,u=t.shape,i=t.stringBytes;return"string"===r?i:function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+n)}}(this.wasm.HEAPU8.slice(a,a+n.util.sizeFromShape(u)*n.util.bytesPerElement(r)).buffer,r)},t.prototype.disposeData=function(e){var n=this.dataIdMap.get(e);this.wasm._free(n.memoryOffset),this.wasm.tfjs.disposeData(n.id),this.dataIdMap.delete(e)},t.prototype.floatPrecision=function(){return 32},t.prototype.getMemoryOffset=function(e){return this.dataIdMap.get(e).memoryOffset},t.prototype.dispose=function(){this.wasm.tfjs.dispose(),this.wasm=null},t.prototype.memory=function(){return{unreliable:!1}},t.prototype.makeOutput=function(e,t,a){var r;if(null==a)r=this.write(null,e,t);else{r={};var u=this.dataIdNextNumber++;this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:e,dtype:t});var i=n.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(u,i,a)}return{dataId:r,shape:e,dtype:t}},t.prototype.typedArrayFromHeap=function(e){var t=e.shape,a=e.dtype,r=e.dataId,u=this.wasm.HEAPU8.buffer,i=this.dataIdMap.get(r).memoryOffset,s=n.util.sizeFromShape(t);switch(a){case"float32":return new Float32Array(u,i,s);case"int32":return new Int32Array(u,i,s);case"bool":return new Uint8Array(u,i,s);default:throw new Error("Uknown dtype "+a)}},t}(n.KernelBackend);function q(){return T(this,void 0,void 0,(function(){return B(this,(function(e){return[2,new Promise((function(e,n){var t={};null!=V&&(t.locateFile=function(e,n){return e.endsWith(".wasm")?V:n+e});var a=L(t);a.tfjs={init:a.cwrap("init",null,[]),registerTensor:a.cwrap("register_tensor",null,["number","number","number"]),disposeData:a.cwrap("dispose_data",null,["number"]),dispose:a.cwrap("dispose",null,[])};var r=!1;a.onRuntimeInitialized=function(){r=!0,G=!1,e({wasm:a})},a.onAbort=function(){if(!r&&!G){G=!0;n({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}}}))]}))}))}n.registerBackend("wasm",(function(){return T(void 0,void 0,void 0,(function(){var e;return B(this,(function(n){switch(n.label){case 0:return[4,q()];case 1:return e=n.sent().wasm,[2,new j(e)]}}))}))}),2);var V=null,G=!1;e.BackendWasm=j,e.setWasmPath=function(e){if(G)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");V=e},e.version_wasm="1.7.0",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.min.js.map
